PHP 5.4.3 and PHP 5.3.13 x64 (64 bit) for Windows

PHP 5.4.3 and 5.3.13 were released a week ago (May 8, 2012). The complete changelog can be found here.

Below you will find 64 bit builds of PHP 5.4.3 and 5.3.13 for Windows. As usual these were compiled with Visual C++ 2008 (VC9). Some of you were experiencing crashes with the 5.4.0 build that I posted last month. Let me know if the crashes still occur with the new 5.4.3 (thread safe) build.

Download

PHP 5.4.3 (Thread Safe)

php-5.4.3-Win32-VC9-x64.zip (Mirror 1) (Mirror 2)

CRC32: 332AEDFE
MD5: D813A774F42DE8E623FCB0BEFF83F9AF
SHA-1: 2633C0A9868C0B1C493BB231F8068EB286357A42

PHP 5.4.3 (Non Thread Safe)

php-5.4.3-nts-Win32-VC9-x64.zip (Mirror 1) (Mirror 2)

CRC32: 9D0FF5B6
MD5: 8FB813791238F9E35E2AB198B94D0411
SHA-1: C6771C46EA7C00D2A4A1375EC1A7CC4A4DC1703D

PHP 5.3.13 (Thread Safe)

php-5.3.13-Win32-VC9-x64.zip (Mirror 1) (Mirror 2)

CRC32: 9C77727D
MD5: 0EC3F145E0B22D861DA915382980F425
SHA-1: 9CB96DFE0AD9512491C48F44C274F723C1BB5D89

PHP 5.3.13 (Non Thread Safe)

php-5.3.13-nts-Win32-VC9-x64.zip (Mirror 1) (Mirror 2)

CRC32: AD75C6AF
MD5: 232C80FA5DD0B99956FB95C732545D49
SHA-1: BF4545013C6F1BEDC0A4E56B2A83543A4EC7CE53

Additional Extensions

Additional extensions can be found in the following mediafire folder – http://www.mediafire.com/php-win64-extensions.

I will be compiling and uploading updated versions of extensions for both PHP 5.4 and 5.3 during this week.

Fixed curl extensions:

php_curl-5.3.13-nts-VC9-x64.zip

php_curl-5.3.13-VC9-x64.zip

php_curl-5.4.3-nts-VC9-x64.zip

php_curl-5.4.3-VC9-x64.zip

Related Posts:

You can follow any comments to this entry through the RSS feed. You can leave a comment, or trackback from your own site.

157 Comments

  • Hi,

    Thanks indeed, but is it normal that PDO shows no driver loaded (phpinfo()), even though my php.ini explicitely tries for:
    extension=php_pdo_mysql.dll
    extension=php_pdo_odbc.dll
    extension=php_pdo_pgsql.dll
    Is PDO supposed to be biult inside this release?

    Thanks,
    AriesFR

  • Hi,

    Thanks a lot.
    Fortunately there Anindya for 64 bit versions of PHP because it had to rely on the PHP group, we expect up to the holy cows come home!

  • Hi there,

    Sorry, I was used to setting extension_dir to simply “ext” like for the 32 bit versions and expect a startup error if it does not find its extensions… It now works fine.
    Great software and GREAT support too :-). Thanks a ton for your work.

    AriesFR

  • Thank you for doing all the hard work 🙂

    Would it by chance be possible to compile imagick extension, too?
    I’m considering using phMagick for now, but I’d rather keep exec() disabled.

  • Hi,

    I think there is a compilation problem with the extension php_curl.dll.
    When you want to load the extension, Apache and PHP errors:

    PHP Startup: Unable to load dynamic library ‘J:/Wamp/bin/php/php5.3.13/ext/php_curl.dll’
    The application failed to start because its configuration side-by-side is incorrect. For more information, see the application event log or use the command line tool sxstrace.exe

    I run sxstrace.exe and I think that the problem is in the manifest file for php_curl.dll that have :
    Information : reference : Microsoft.VC90.CRT,processorArchitecture=”amd64″,publicKeyToken=”1fc8b3b9a1e18e3b”,type=”win32″,version=”9.0.21022.8″
    Information : reference : Microsoft.VC90.DebugCRT,processorArchitecture=”amd64″,publicKeyToken=”1fc8b3b9a1e18e3b”,type=”win32″,version=”9.0.21022.8″

    Users don’t have Microsoft.VC90.DebugCRT.

  • @zmcjs

    eAccelerator is not compatible with PHP 5.4.3. But will compile for 5.3.13 soon.

    @mikey

    I tried to compile thread safe version of memcache 2.2.6 but it did not compile successfully. So I am guessing it is not compatible. Will try again with the latest source from svn.

    @Phouchg

    Will try to compile it as soon as possible. Haven’t compiled it before so it may take time.

    @Matthijs, @Otomatic and @Spaceman

    Thanks for letting me know about the problem. I will have to recompile libcurl and the php_curl extension. Will recompile and post it by tomorrow.

  • @Anindya: php_curl.dll with libcurl 7.25 now reports that IPv6 is disabled, even if you compile it with ENABLE_IPV6=yes. I could not find out what was wrong, but I have gone back to 7.24.

  • I found the solution for the IPv6 problem in libcurl 7.25.0. Line 166 in MakefileBuild.vc should be:

    !IF “$(USE_IPV6)”==”true”

    in stead of

    !IF “$(USE_IPV6)”==”yes”

    There are more things wrong in the MakefileBuild.vc, but this is the minimal change needed. I will report it to the maintainers of libcurl

  • @nobita215

    Yes, will compile XCache and post it soon.

    @yon

    Have just posted fixed curl builds. And as for wincache, you need to download and enable the memcache extension too.

    @Jan Ehrhardt

    Thanks a lot for the info. I noticed that you can also just change line 152 to “USE_IPV6=yes”.

  • @Jan Ehrhardt

    Thanks for the info about wincache. 🙂

    By the way, correct me if I am wrong but if you set line 166 to “true” in curl’s MakefileBuild.vc, then lines 151-153 can be removed since “USE_IPV6” is already set to “true” in Makefile.vc (line 52-56).

  • I agree that it is a bit of a mess. That is why my first comment ended with this: “There are more things wrong in the MakefileBuild.vc …”.

  • yes. I am use php_wincache.dll is only usable with a non thread safe PHP.

    windows 2008R2 system log show php_wincache.dll run wrong.

    php5.4.3 logs only show ” PHP Warning: PHP Startup: in Unknown on line 0 ”

  • @Anindya: according to this message the latest trunk of php-wincache can be compiled as thread safe now:
    http://forums.iis.net/p/1189010/2022230.aspx#2022230

    I tried to do that, but php-cgi.exe crashed when I tried to load the extension and execute a php-script, for both x86 and x64. I am not really sure that my x64 build environment is OK, because I get comparable crashes with php_apc.dll. Could you try to compile php_wincache.dll (latest trunk) as x64 ts and see if it survives a ‘php-cgi phpinfo.php’?

  • @yon

    I have no idea why wincache isn’t working for you. I tested it and it works fine in my case. I recommend that you try using a fresh php.ini file. That is, rename either php.ini-development or php.ini-production to php.ini and then try enabling only the wincache extension in it. Also, upgrade your Visual C++ 2008 Redistributable package if you aren’t already using the latest version.

    @nobita215

    I hope you have noticed by now that I have uploaded both eAccelerator (for PHP 5.3) and xcache (for 5.3 and 5.4).

    @Otomatic and @Phouchg

    You’re welcome. 😀

    @Jan

    I compiled thread safe version of wincache and it’s crashing in my case too. Crashes right after generating the phpinfo() output. Just as you described in that thread. APC works fine for me though.

  • OK. Thanks for trying to compile as TS. Same symptoms …

    Quote from a message by one of the developers of wincache: “FYI, there are several places in wincache that are *explicitly* not x64 compliant. There are a few places where pointer values are cast to DWORD values, which will definitely crash.”

    Apparently, you and I are not running into those places where it will crash while testing the x64 nts version. But maybe @yon is.

  • Hi Anindya,

    I downloaded php-5.4.3-nts-Win32-VC9-x64.zip on 30th May from your Dropbox link, but I am seeing the following in the PHP error log:

    “PHP Startup: Unable to load dynamic library ‘F:\PHP\ext\php_curl.dll’ – The application has failed to start because its side-by-side configuration is incorrect.”

    Was this the issue you had fixed with curl? Could I have downloaded an older zip from your Dropbox?

    Many thanks for your continued hard work 🙂

  • Oh,I’m sorry but there is a mistake in “php_curl.dll” when php run in windows server 2008 r2.
    Thanks for The Great Firewall,I can’t download the fixed.Can you upload it to your server?
    Although I still don’t know what is the use of this component,but,have is better than not.
    You are the best.

  • Anindya, I’m using your php-5.4.3-Win32-VC9-x64.zip with apache 64 bit windows binary 2.4.2 on a windows 2008 r2 (64 bit) machine..

    The log says….

    “Unable to load dynamic library ‘c:\\php\\ext\\php_curl.dll’ – The application has failed to start because its side-by-side configuration is incorrect”

    Other than this, APache seems to crash multiple times in a day with the following message..

    Problem signature:
    Problem Event Name: APPCRASH
    Application Name: httpd.exe
    Application Version: 2.4.2.0
    Application Timestamp: 4faff4b6
    Fault Module Name: php5ts.dll
    Fault Module Version: 5.4.3.0
    Fault Module Timestamp: 4fb15f2c
    Exception Code: c00000fd
    Exception Offset: 00000000001f6139
    OS Version: 6.1.7601.2.1.0.274.10
    Locale ID: 1033
    Additional Information 1: e339
    Additional Information 2: e339f2594e7f681a95b166793376bebb
    Additional Information 3: dcfa
    Additional Information 4: dcfa7002ecc95d684f4f471b5f61a396

    Would really appreciate your help..

    Regards,
    Gaurav.

  • Hello i used your compiled php 5.4.3 64bit with fixed curl ext on iis6, but when I try in openinverter, the curl is error:

    Fatal error: Call to undefined function curl_init() in D:\webRoot\OpenInviter\plugins\_base.php on line 266

    Can you help? Thanks very much

  • Hi,

    I have an issu when I try to load APC (provide with your mediafire link) and INTL extension with PHP 5.4.3 thread safe. I have twice this warning in the log file :

    PHP Warning: PHP Startup: in Unknown on line 0

    Any idea of why ?

    Thanks in advance.

  • I’m looking for apc and memcache dll’s for php 5.4.3 (running on win server 2003 64bit), can anyone help me?

  • PHP crashes, when I use simplehtmldom 1.5

    Problem signature:
    Problem Event Name: APPCRASH
    Application Name: php.exe
    Application Version: 5.3.12.0
    Application Timestamp: 4fb026b9
    Fault Module Name: php5ts.dll
    Fault Module Version: 5.3.12.0
    Fault Module Timestamp: 4fb027d7
    Exception Code: c0000005
    Exception Offset: 00000000000ac1be
    OS Version: 6.1.7601.2.1.0.18.10
    Locale ID: 1033
    Additional Information 1: fb20
    Additional Information 2: fb200ae9e8eca7007e52221d75483b94
    Additional Information 3: 0530
    Additional Information 4: 05305c9d74cf681fddabdd9f13f1c39b

  • Thanks for all your support. You are still my php 64-Bit hero!
    May i ask you if you are able to provide a php_saprfc 64 extension? You have been asked some blog posts before on an slightkly older php version

    And some “unusual” question:
    I have seen you were able to compile php_memcache for php 5.4 x64 nts. Thanks for that. But i have another server still under 32.-Bit x86 nts, and since weeks nobody seems to be able to compile php_memcache for php 5.4 x86 32 Bit nts.

    Could you compile that extension for x86 php 5.4 nts also? Yes i know you are focussed on x64, but it seems you are the only one in the whole world being able to do that 😀

  • I got this error message after updating the curl ext:

    PHP Warning: PHP Startup: Unable to load dynamic library ‘\\php\\ext\\php_curl.dll’ – The operating system cannot run %1.\r\n in Unknown on line 0

    any advice?

  • Help

    I am from china,but we can not download ,Pls email these files to me

    Thank you very much!

    php_curl-5.3.13-nts-VC9-x64.zip

    php_curl-5.3.13-VC9-x64.zip

    php_curl-5.4.3-nts-VC9-x64.zip

    php_curl-5.4.3-VC9-x64.zip

  • Would love to install 5.4.4 x64.

    Previous versions has a bug with exif extensions that crashes php with some images.

    Thanks!

  • Hi,

    I know it is vacation time (not quite summer here because of the time) but would it be possible to get PHP 5.4.4 in 64bit and possibly PHP 5.3.14.
    Secunia PSI constantly warns me that PHP 5.4.3 presents loopholes and must be replaced by PHP 5.4.4.
    Thank you.

  • It will be done when the person has time! I’m quite sure they know there is a new version released 🙂

    @anindya do you think you could write an (unsupported) procedure on how you do this? Or point me in the direction of how to do it myself?

  • Hi,

    I downloaded php 5.3.13 and apache2.2 64 bit builds. but there is no php5_apache2_2.dll in PHP folder. How I have to configure server now ?

  • Why the PHP_INT_SIZE is still 4, not 8?

    I’m using 64bit Windows 7 business edition and running this php-cgi.exe.

  • @everyone

    Way too many comments. Can’t reply to them all. 😀

    I have just posted PHP 5.4.5 and 5.3.15. Please upgrade to those builds and leave your comments in the new post if you have any issues or if you would like me to compile any additional extensions.

    Thanks.

  • Thanks a lot. On wamp 2.2 with PHP 5.4.3 and Apache 2.4.2 i had problems with curl and after overwriting your file php_curl-5.4.3-VC9-x64.zip everything was ok.

  • Hello everyone

    I have been trying to install php_apc.dll on my wamp server using apache 2.4.2 and php 5.4.3.
    the module shows up under php extensions when i check there. it’s registered in PHP.ini as well.
    however it does not show up when i run phpinfo().

    i checked apache error log and this is what i get:
    PHP Warning: PHP Startup: Unable to load dynamic library ‘c:/wamp/bin/php/php5.4.3/ext/php_apc.dll’ – The specified module could not be found.\r\n in Unknown on line 0

    I’d truly appreciate any guide anyone can provide me with

  • **UPDATE with my problem

    just in case of anyone who runs into same trouble and save yourself frustration and headache, extension doesn’t seem to work well with 64x wamp. I had to rollback to 32bit. that was the only way to get things running.

    if there’s anyone successful in running the 64bit on a windows 7 machine. let us know.

  • Just want you to know that I love you. lol. Been goin at this issue all day :/
    I had found there was the issue with the DLL, but was having the issues of finding the DLL that would work. You saved my ass

  • Thank you Anindya.
    Have been struggling 3 days without finding out why my curl lib wasn’t working even tho it was activated…
    This fixed everything 🙂

  • hello , can you send “php_curl-5.4.3-nts-VC9-x64.zip” and “php_curl-5.4.3-VC9-x64.zip” to me.I can’t download it.
    Thank you very much.

  • Thanks a lot! Your curl file fixed the extension for Wamp64 on Windows 8. I did have to restart the whole thing first. Good job!

  • Hi,

    I tried this for PHP 5.4.3 and 5.3.13 both thread and thread safe versions. Still when i run a PHP file it says Call to undefined function curl_init() .

    I am trying the same thing for hours now.
    I am using wamp and windows 7. I am copying the “php_curl.dll” file in the ext folder.
    Can you please let me know if I am missing something.

  • I downloaded php_http.dll.. when executing on my 64 bit wamp it says procedure php_ob_get_buffer not found in php5ts.dll. Can anybody help me with this?

  • Thanks for your post!

    I get this problem every time I deploy a new version of Wampserver – I don’t know why the developer(s) can’t get it right.

  • your download URLs don’t work!!!

    the links to the 64-bit versions of curl are all broken. can we have access back please? I kinda need curl. thanks

  • Anin, is php_curl-5.4.3-VC9-x64.zip link work?
    because i cant download php_curl from that link. thx

  • @quyen and @Hendra Setia Budi

    If you were unable to download, then it may have been a temporary issue with the file host (mediafire.com). It is also possible that your ISP or institution has blocked mediafire.com in which case you should still be able to download using a different internet connection or by using a proxy.

  • THANKS FOR THIS BLOG.

    I AM A BIGINER IN THIS FIELD ,

    I HAVE USED THE FOLLOWING VERSSIONS WITH OTACLE 11 G 64 BIT ON WINDOWS 7 64 BIT OS;
    apache_2.4.2-x64-no-ssl

    php-5.4.12-Win32-VC9-x64
    IT WORKS FOR ME WITH A WARNING ON TIMEZONE ERROR.

    PLEASE HELP ME OUT

    THANKING YOU

    gops

  • @gops

    If you haven’t already, rename the “php.ini-development” file to “php.ini”. The file is located in the directory where you installed PHP (eg. C:\php). After renaming, open the file and find “;date.timezone =”. Remove the semicolon and append your timezone (eg. Europe/Vienna). You can find a list of supported timezones here – http://php.net/manual/en/timezones.php.

    The final string will look something like the following:

    date.timezone = Europe/Vienna

    Hope this helps.

    Edit: Forgot to mention that you need to save the changes to the php.ini file and then restart Apache.

  • ok, I tried a few days ago, and I downloaded it successfully, but it doesn’t work. the curl extension module is still not recognized. why don’t the WAMP guys just supply their dough without the poison man?

  • Hi this will fix problem with simple use of curl but when i use an advance curl for https request i got an error for some WebSite like unlimited loading page that return “SSL Time Out” if you limit the timeout.
    i test my code and he work perfectly in others envirenements, and i tried to compare the configuration between thems and i found that The SSPI hasn’t the same value in phpinfo()
    it’s set to “No” However in the correct Envirenement it’s set to “Yes”.
    Have You Any Idea to Fix That ??

  • php_curl.dll with libcurl 7.25 now reports that IPv6 is disabled, even if you compile it with ENABLE_IPV6=yes. I could not find out what was wrong, but I have gone back to 7.24.

  • windows 8, wamp with apache 2.2.2 and php 5.3.13.

    started all services, put online, replaced the dll like in the article, and restart
    i used the one without nts.

    it works now!
    thank you guys

  • the link to php_curl-5.3.13-VC9-x64.zip is broken, can someone give me one ? (iiizno[at]gmail[dot]com )

  • I have trouble before activating curl in wamp + windows 7 x64bit, but after I have download the fixed curl for x64 in this blog and then it works! Thank you so much.

  • I have wampserver x64 installed with PHP 5.4.3 in windows 7 ultimate x64, I downloaded the apc extention from here extract it in ext/ directory and I set the extension in php.ini in /php and /apache directory.

    When I run from command line php -i the extention works and is loaded, but when I run wamserver it does not start, what could be happening?

    thanks

  • Hello, when I try to start apache and using php_apc.dll (php_apc-3.1.13-5.4-VC9-x64-win7-2008.zip on Win7 x64, apache 2.2.19 x64 and PHP 5.4.x x64 ts) apache just crashes.
    I have added right (I think) lines in php.ini configuring APC, but this didn’t solve my problem. Any idea?

  • Hi,

    Can you (or someone else) re-upload the files and update the links?
    I can’t download the Curl Fix files.

  • wtfbrokenlinkserrywhere

    Every link on this page is broken for me and it’s the most linked to thing on the internet for fixing my curl problem… does anyone have a legitimate source for this file?

    PLEASE, thanks. Need (php_curl-5.3.13-VC9-x64.zip)

  • Thank you. You are a life saver.
    For a moment I couldn’t figure out what the problem was and decided to Google it as this was a system that was already working.
    Once again, Thanks.

  • Hi Anindya,

    I’ve installed Wampserver 2.4 (64 bits, PHP 5.4.12) using latest version of wordpress.org (3.8.1). I’ve also installed a template, but at the bottom of my template the following error message is showing:
    Fatal error: Call to undefined function curl_init() in C:\wamp\www\wp\wp-content\themes\aeolus\footer.php on line 67

    I don’t have much programming experience at all. Is there an easy fix for this?

    Thank you so much!

  • if you have problems on downloading the files, please try to open it in a new window, then download it, it will work.

  • Thanks a million, Anindya! I had been struggling for hours – ploughing through umpteen forums and trying all the suggestions. I new I had activated the loading of CURL, but the Apache error log kept throwing up errors in my 64-bit WAMP installation. Your fixed DLL file solved the problem. Verrrrry grateful – you’re a star!

  • I went around and around with this all morning.
    I’m running PHP under C:Program Files (x86)5.4 on Windows 7 running IIS7.5.
    I couldn’t get CURL to show up in my PHPInfo() for nothing.

    I had downloaded the WRONG version of the fixed curl files. Everytime I restarted the webserver, I’d get an entry in my PHP error log that the module could not be found. But I was looking right at it in the ext file and it was enabled in IIS.

    So instead of using the file from php_curl-5.4.3-VC9-x64.zip, I decided to use the one in php_curl-5.4.3-nts-VC9-x64.zip. And make sure you’ve moved over the (2) DLL files: libeay32.dll and ssleay32.dll to your C:Windowssystem32 folder.

    Then all of a sudden VOILA! No message in the PHP error log after restarting the web server and I was able to see the entire CURL section in my phpinfo()!

    Hope this helps someone.

  • Hola cuando termino de Instalar el wamp me aparece una ventana con este mensaje

    exception exception in module wampmanager.exe at 000F15A0.
    Could not execute run action

    Despues de hay no me da opción de mas nada

  • I grabbed php-5.4.3-Win32-VC9-x64.zip and upon unzipping and scanning, found some reported threats on all of the “icu*” files

Leave a Reply to Nico